org.apache.ignite.internal.processors.bulkload.pipeline

## Class StrListAppenderBlock

- java.lang.Object
- - org.apache.ignite.internal.processors.bulkload.pipeline.PipelineBlock<String[],Object>
  - - org.apache.ignite.internal.processors.bulkload.pipeline.StrListAppenderBlock

    public class StrListAppenderBlock
    extends PipelineBlock<String[],Object>

The PipelineBlock which appends its input to a user-supplied list.

The list is set using `output(List)` method.

### Constructor Summary

Constructors
Constructor and Description
`StrListAppenderBlock()` Creates the block.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept(String[] elements, boolean isLastPortion)` Accepts a portion of input.
`void` `output(List<List<Object>> output)` Sets the output list.

### Methods inherited from class org.apache.ignite.internal.processors.bulkload.pipeline.PipelineBlock

`append`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StrListAppenderBlock

    public StrListAppenderBlock()

Creates the block. List can be configured using `output(List)` method.

### Method Detail

#### output

    public void output(List<List<Object>> output)

Sets the output list.

Parameters:
  `output` - The output list.

#### accept

    public void accept(String[] elements,
                       boolean isLastPortion)

Accepts a portion of input. `isLastPortion` parameter should be set if this is a last portion of the input. The method must not be called after the end of input: the call with `isLastPortion == true` is the last one.

Specified by:
  `accept` in class `PipelineBlock<String[],Object>`
Parameters:
  `elements` - Portion of input.
  `isLastPortion` - Is this the last portion.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018